<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('varian_photos', function (Blueprint $table) {
            $table->id();
            $table->foreignId('produk_varian_id')
                  ->constrained('produk_varians')
                  ->onDelete('cascade');
            $table->string('foto');           // path file
            $table->integer('urutan')->default(0);
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('varian_photos');
    }
};